org.jgroups.util

## Class Rsp<T>

- java.lang.Object
- - org.jgroups.util.Rsp<T>

-     public class Rsp<T>
      extends java.lang.Object

  class that represents a response from a communication

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rsp(Address sender)`
    `Rsp(Address sender, boolean suspected)`
    `Rsp(Address sender, T retval)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `Address` | `getSender()`
    `T` | `getValue()`
    `int` | `hashCode()`
    `void` | `setReceived(boolean received)`
    `boolean` | `setSuspected(boolean suspected)`
    `void` | `setValue(T val)`
    `java.lang.String` | `toString()`
    `boolean` | `wasReceived()`
    `boolean` | `wasSuspected()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Rsp

          public Rsp(Address sender)

    - #### Rsp

          public Rsp(Address sender,
             boolean suspected)

    - #### Rsp

          public Rsp(Address sender,
             T retval)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getValue

          public T getValue()

    - #### setValue

          public void setValue(T val)

    - #### getSender

          public Address getSender()

    - #### wasReceived

          public boolean wasReceived()

    - #### setReceived

          public void setReceived(boolean received)

    - #### wasSuspected

          public boolean wasSuspected()

    - #### setSuspected

          public boolean setSuspected(boolean suspected)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.